Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.validation
Class DirectFieldBindingResult

    java.lang.Object
      org.springframework.validation.AbstractErrors
          org.springframework.validation.AbstractBindingResult
              org.springframework.validation.AbstractPropertyBindingResult
                  org.springframework.validation.DirectFieldBindingResult

All Implemented Interfaces:
  java.io.Serializable, BindingResult, Errors

    public class DirectFieldBindingResult

extends AbstractPropertyBindingResult

Special implementation of the Errors and BindingResult interfaces, supporting registration and evaluation of binding errors on value objects. Performs direct field access instead of going through JavaBean getters.

This implementation just supports fields in the actual target object. It is not able to traverse nested fields.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `DataBinder.getBindingResult()`, `DataBinder.initDirectFieldAccess()`, `BeanPropertyBindingResult`, Serialized Form

Field Summary

Fields inherited from interface org.springframework.validation.BindingResult
`MODEL_KEY_PREFIX`

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`DirectFieldBindingResult(java.lang.Object target, java.lang.String objectName)` Create a new DirectFieldBindingResult instance.

Method Summary
`protected ConfigurablePropertyAccessor` | `createDirectFieldAccessor()` Create a new DirectFieldAccessor for the underlying target object.
`ConfigurablePropertyAccessor` | `getPropertyAccessor()` Returns the DirectFieldAccessor that this instance uses.
`java.lang.Object` | `getTarget()` Return the wrapped target object.

Methods inherited from class org.springframework.validation.AbstractPropertyBindingResult
`canonicalFieldName, findEditor, formatFieldValue, getActualFieldValue, getCustomEditor, getFieldType, getPropertyEditorRegistry, initConversion`

Methods inherited from class org.springframework.validation.AbstractBindingResult
`addAllErrors, addError, equals, getAllErrors, getErrorCount, getFieldError, getFieldError, getFieldErrors, getFieldErrors, getFieldValue, getGlobalError, getGlobalErrors, getMessageCodesResolver, getModel, getObjectName, getRawFieldValue, getSuppressedFields, hasErrors, hashCode, recordSuppressedField, reject, rejectValue, resolveMessageCodes, resolveMessageCodes, setMessageCodesResolver`

Methods inherited from class org.springframework.validation.AbstractErrors
`doSetNestedPath, fixedField, getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, isMatchingFieldError, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.validation.Errors
`getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath`

Constructor Detail

### DirectFieldBindingResult

    public DirectFieldBindingResult(java.lang.Object target,
                                    java.lang.String objectName)

  Create a new DirectFieldBindingResult instance.

  Parameters:
    `target` - the target object to bind onto
    `objectName` - the name of the target object

Method Detail

### getTarget

    public final java.lang.Object getTarget()

  Description copied from class: `AbstractBindingResult`
  Return the wrapped target object.

  Specified by:
    `getTarget` in interface `BindingResult`
  Specified by:
    `getTarget` in class `AbstractBindingResult`

### getPropertyAccessor

    public final ConfigurablePropertyAccessor getPropertyAccessor()

  Returns the DirectFieldAccessor that this instance uses. Creates a new one if none existed before.

  Specified by:
    `getPropertyAccessor` in class `AbstractPropertyBindingResult`
  See Also:
    `createDirectFieldAccessor()`

### createDirectFieldAccessor

    protected ConfigurablePropertyAccessor createDirectFieldAccessor()

  Create a new DirectFieldAccessor for the underlying target object.

  See Also:
    `getTarget()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD